org.apache.jasper.compiler

## Class JarScannerFactory

- java.lang.Object
- - org.apache.jasper.compiler.JarScannerFactory

-     public class JarScannerFactory
      extends Object

  Provide a mechanism for Jasper to obtain a reference to the JarScanner implementation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JarScanner` | `getJarScanner(ServletContext ctxt)` Obtain the `JarScanner` associated with the specified `ServletContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJarScanner

          public static JarScanner getJarScanner(ServletContext ctxt)

      Obtain the `JarScanner` associated with the specified `ServletContext`. It is obtained via a context parameter.
      Parameters:
        `ctxt` - The Servlet context
      Returns:
        a scanner instance

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.